dev-python/
pycuda

Python wrapper for NVIDIA CUDA

https://mathema.tician.de/software/pycuda/

Available Versions

Version amd64 x86 alpha arm arm64 hppa ia64 ppc ppc64 sparc
9999 : 0 U ?amd64 ?x86 ?alpha ?arm ?arm64 ?hppa ?ia64 ?ppc ?ppc64 ?sparc
2018.1.1 : 0 U ~amd64 ?x86 ?alpha ?arm ?arm64 ?hppa ?ia64 ?ppc ?ppc64 ?sparc
2017.1 : 0 U ~amd64 ?x86 ?alpha ?arm ?arm64 ?hppa ?ia64 ?ppc ?ppc64 ?sparc
2016.1.2 : 0 U ~amd64 ?x86 ?alpha ?arm ?arm64 ?hppa ?ia64 ?ppc ?ppc64 ?sparc
2014.1 : 0 U ~amd64 ~x86 ?alpha ?arm ?arm64 ?hppa ?ia64 ?ppc ?ppc64 ?sparc
2013.1.1 : 0 U ~amd64 ~x86 ?alpha ?arm ?arm64 ?hppa ?ia64 ?ppc ?ppc64 ?sparc
2012.1 : 0 U ~amd64 ~x86 ?alpha ?arm ?arm64 ?hppa ?ia64 ?ppc ?ppc64 ?sparc

Package Metadata

Masks

  • Old versions of CUDA and their reverse dependencies. They do not support GCC 5+, and are really old. (updated 27 Dec 2017 with cuda < 8 because of gcc < 5 mask)
    <dev-python/pycuda-2016, <dev-util/nvidia-cuda-sdk-8, <dev-util/nvidia-cuda-toolkit-8, net-wireless/cpyrit-cuda
    Michał Górny <mgorny@gentoo.org> (20 May 2017)

Changelog